> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contact async

## Field support per integration

> [accordion] AbaConnect
>
> > [!NOTE]
> >
> > This endpoint is **[asynchronous](https://docs.maesn.com/async-task.md)**. The response returns a `taskId`. Use `/asyncTask/{taskId}` to check the task status and obtain the final result once it is ready.
>
> Supported response fields:
>
> **id** `string`
>
> **addresses** `Address[]`
>
> **properties**
>
> **addressLine1** `string`
>
> **postalCode** `string`
>
> **city** `string`
>
> **countryCode** `enum`
>
> For details visit the [`Standardized Data`](https://docs.maesn.com/standardization) section.
>
> **type** `enum`
>
> Available options: `BILLING`
>
> **companyName** `string`
>
> **contactPersons** `ContactPerson[]`
>
> **properties**
>
> **firstName** `string`
>
> **lastName** `string`
>
> **emailAddresses** `EmailAddress[]`
>
> **properties**
>
> **email** `string`
>
> **type** `enum`
>
> Available options: `BUSINESS`
>
> **phoneNumbers** `PhoneNumber[]`
>
> **properties**
>
> **number** `string`
>
> **type** `enum`
>
> Available options: `BUSINESS`, `MOBILE`
>
> **contactType** `enum`
>
> Available options: `CONTACT_PERSON`, `COMPANY`
>
> **createdDate** `string`
>
> For details visit the [`Standardized Data`](https://docs.maesn.com/standardization) section.
>
> **emailAddresses** `EmailAddress[]`
>
> **properties**
>
> **email** `string`
>
> **type** `enum`
>
> Available options: `BUSINESS`
>
> **isCustomer** `boolean`
>
> **isSupplier** `boolean`
>
> **number** `string`
>
> **phoneNumbers** `PhoneNumber[]`
>
> **properties**
>
> **number** `string`
>
> **type** `enum`
>
> Available options: `BUSINESS`, `MOBILE`
>
> **updatedDate** `string`
>
> For details visit the [`Standardized Data`](https://docs.maesn.com/standardization) section.


## OpenAPI

````yaml get /accounting/contacts/{contactId}/async
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/contacts/{contactId}/async:
    get:
      tags:
        - accounting
      operationId: getContactAsync
      parameters:
        - name: contactId
          required: true
          in: path
          schema:
            type: string
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
          required: true
      responses:
        '202':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/TaskIdResponseDto'
                        type: object
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    TaskIdResponseDto:
      type: object
      properties:
        taskId:
          type: string
          example: 02cc5849-b23c-48fe-8a9b-96f74bfc9571
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
        partialErrors:
          type: array
          description: >-
            Secondary operations that failed after the main operation succeeded.
            See [Partial Errors](/guides/partial-errors).
          items:
            type: object
            properties:
              code:
                type: string
                example: FILE_UPLOAD_FAILED
              message:
                type: string
                example: >-
                  Attachment invoice.pdf could not be uploaded to the target
                  system.
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.